Please backport modemmanager 1.0.0-2ubuntu1 (main) from trusty

Bug #1351935 reported by Marius B. Kotsbak on 2014-08-03
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Precise Backports
Undecided
Unassigned

Bug Description

Please backport modemmanager 1.0.0-2ubuntu1 (main) from trusty to precise.

Reason for the backport:
========================
To solve bugs like bug #1340154 and bring support for new modems to the old LTS.

Testing:
========
Mark off items in the checklist [X] as you test them, but please leave the checklist so that backporters can quickly evaluate the state of testing.

You can test-build the backport in your PPA with backportpackage:
$ backportpackage -u ppa:<lp username>/<ppa name> -s trusty -d precise modemmanager

* precise:
[ ] Package builds without modification
[ ] modemmanager installs cleanly and runs
[ ] modemmanager-dev installs cleanly and runs
[ ] libmm-glib0 installs cleanly and runs
[ ] libmm-glib-dev installs cleanly and runs
[ ] libmm-glib-doc installs cleanly and runs
[ ] modemmanager-dbg installs cleanly and runs
[ ] modemmanager-doc installs cleanly and runs

Reverse dependencies:
=====================
The following reverse-dependencies need to be tested against the new version of modemmanager. For reverse-build-dependencies (-Indep), please test that the package still builds against the new modemmanager. For reverse-dependencies, please test that the version of the package currently in the release still works with the new modemmanager installed. Reverse- Recommends, Suggests, and Enhances don't need to be tested, and are listed for completeness-sake.

modemmanager
------------
* python-jarabe-0.84
  [ ] precise (Reverse-Recommends)
* sucrose-0.90
  [ ] precise (Reverse-Depends)
* ofono
  [ ] precise (Reverse-Conflicts)
* python-jarabe-0.90
  [ ] precise (Reverse-Recommends)
* sucrose-0.88
  [ ] precise (Reverse-Depends)
* python-jarabe-0.88
  [ ] precise (Reverse-Recommends)
* network-manager
  [ ] precise (Reverse-Recommends)
* sugar-tools-0.90
  [ ] precise (Reverse-Recommends)
* sugar-session-0.90
  [ ] precise (Reverse-Recommends)
* lubuntu-desktop
  [ ] precise (Reverse-Recommends)
* sugar-session-0.84
  [ ] precise (Reverse-Recommends)
* sugar-tools-0.84
  [ ] precise (Reverse-Recommends)
* wader-core
  [ ] precise (Reverse-Conflicts)
* sugar-session-0.88
  [ ] precise (Reverse-Recommends)
* sugar-tools-0.88
  [ ] precise (Reverse-Recommends)
* prepaid-manager-applet
  [ ] precise (Reverse-Depends)
* sucrose-0.84
  [ ] precise (Reverse-Depends)

modemmanager-dev
----------------

libmm-glib0
-----------

libmm-glib-dev
--------------

libmm-glib-doc
--------------

modemmanager-dbg
----------------

modemmanager-doc
----------------

hbchoong (hbchoong) wrote :

Can this request for modemmanager at this stage proceed in its process to be backported? It is hoped someone can finally help action this support request... thanks.
PS: bug #1076981 not actioned since 2012 - proceeding with the above request should close this backport request consequently and provide the necessary updates and functionalities support for 12.04 LTS users

hbchoong (hbchoong) wrote :

Any feedback on a timeframe possible when this can be supported? Hopefully this can be backported now rather than later so that the efforts made can serve a useful life up till 2017 or beyond for 12.04 LTS users. Cheers.
p/s Alex, could you please add your support to this backport request too? Thanks.

Marius B. Kotsbak (mariusko) wrote :

This backport is not very realistic, as it will require a new network-manager, libqmi etc. and a lot of more backported dependencies.

hbchoong (hbchoong) wrote :

OK - thanks, will look to focus on bug #1076981 instead

hbchoong (hbchoong) on 2018-09-28
Changed in precise-backports:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers